Module org.xerial.sqlitejdbc
Package org.sqlite

## Class ProgressHandler

- java.lang.Object
- - org.sqlite.ProgressHandler

    public abstract class ProgressHandler
    extends Object

https://sqlite.org/c3ref/progress_handler.html

### Constructor Summary

Constructors
`ProgressHandler()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static void` `clearHandler​(Connection conn)` Clears any progress handler registered with the connection.
`protected abstract int` `progress()`
`static void` `setHandler​(Connection conn, int vmCalls, ProgressHandler progressHandler)` Sets a progress handler for the connection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProgressHandler

    public ProgressHandler()

### Method Detail

#### setHandler

    public static final void setHandler​(Connection conn,
                                        int vmCalls,
                                        ProgressHandler progressHandler)
                                 throws SQLException

Sets a progress handler for the connection.

Parameters:
  `conn` - the SQLite connection
  `vmCalls` - the approximate number of virtual machine instructions that are evaluated between successive invocations of the progressHandler
  `progressHandler` - the progressHandler
Throws:
  `SQLException`

#### clearHandler

    public static final void clearHandler​(Connection conn)
                                   throws SQLException

Clears any progress handler registered with the connection.

Parameters:
  `conn` - the SQLite connection
Throws:
  `SQLException`

#### progress

    protected abstract int progress()
                             throws SQLException

Throws:
  `SQLException`